def policz_znaki(napis, lewy='<', prawy='>'):
    wynik = 0
    poziom = 0
    for znak in napis:
        if znak == lewy:
            poziom += 1
        elif znak == prawy:
            poziom -= 1
        else:
            wynik += poziom
    return wynik
